Index: LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/simu_airs.F90	(revision 5117)
@@ -33,5 +33,5 @@
     slope(N) = slope(N - 1)
 
-    if (P(1)>P(N)) THEN
+    IF (P(1)>P(N)) THEN
       i_dir = 1
       i = 1
@@ -44,10 +44,10 @@
     exit_flag = 0
     do while(exit_flag==0)
-      if (P(i)>=P_min.and.P(i)<=P_max) THEN
-        if (first_point>0) THEN
+      IF (P(i)>=P_min.AND.P(i)<=P_max) THEN
+        IF (first_point>0) THEN
           delta_alt = alt(i) - alt(first_point)
-          if (delta_alt>=delta_alt_limit) THEN
+          IF (delta_alt>=delta_alt_limit) THEN
             slope_2km = (T(first_point) - T(i)) / delta_alt
-            if (slope_2km<slope_limit) THEN
+            IF (slope_2km<slope_limit) THEN
               exit_flag = 1
             else
@@ -56,13 +56,13 @@
           end if
         end if
-        if (first_point==0.and.slope(i)<slope_limit) first_point = i
+        IF (first_point==0.AND.slope(i)<slope_limit) first_point = i
       end if
       i = i + i_dir
-      if (i<=1.or.i>=N) exit_flag = 1
+      IF (i<=1.OR.i>=N) exit_flag = 1
     END DO
 
-    if (first_point<=0) P_tropo = 65.4321
-    if (first_point==1) P_tropo = 64.5432
-    if (first_point>1) THEN
+    IF (first_point<=0) P_tropo = 65.4321
+    IF (first_point==1) P_tropo = 64.5432
+    IF (first_point>1) THEN
       tmp = (slope_limit - slope(first_point)) / (slope(first_point + 1) - &
               slope(first_point)) * (P(first_point + 1) - P(first_point))
@@ -72,5 +72,5 @@
 
     ! Ajout Marine
-    if (P_tropo < 60. .or. P_tropo > 470.) THEN
+    IF (P_tropo < 60. .OR. P_tropo > 470.) THEN
       P_tropo = 999.
     endif
@@ -93,10 +93,10 @@
     INTEGER :: i, n, nss
 
-    INTEGER, intent(in) :: len_cs
-    REAL, DIMENSION(:), intent(in) :: rneb_cs, temp_cs
-    REAL, DIMENSION(:), intent(in) :: emis_cs, iwco_cs, rad_cs
-    REAL, DIMENSION(:), intent(in) :: pres_cs, dz_cs, rhodz_cs
-
-    REAL, intent(out) :: cc_tot_cs, cc_hc_cs, cc_hist_cs, &
+    INTEGER, INTENT(IN) :: len_cs
+    REAL, DIMENSION(:), INTENT(IN) :: rneb_cs, temp_cs
+    REAL, DIMENSION(:), INTENT(IN) :: emis_cs, iwco_cs, rad_cs
+    REAL, DIMENSION(:), INTENT(IN) :: pres_cs, dz_cs, rhodz_cs
+
+    REAL, INTENT(OUT) :: cc_tot_cs, cc_hc_cs, cc_hist_cs, &
             cc_Cb_cs, cc_ThCi_cs, cc_Anv_cs, &
             pcld_hc_cs, tcld_hc_cs, em_hc_cs, iwp_hc_cs, &
@@ -110,9 +110,9 @@
     REAL :: rneb_min
 
-    REAL, DIMENSION(:), allocatable :: s, s_hc, s_hist, rneb_max
-    REAL, DIMENSION(:), allocatable :: sCb, sThCi, sAnv
-    REAL, DIMENSION(:), allocatable :: iwp_ss, pcld_ss, tcld_ss, &
+    REAL, DIMENSION(:), ALLOCATABLE :: s, s_hc, s_hist, rneb_max
+    REAL, DIMENSION(:), ALLOCATABLE :: sCb, sThCi, sAnv
+    REAL, DIMENSION(:), ALLOCATABLE :: iwp_ss, pcld_ss, tcld_ss, &
             emis_ss
-    REAL, DIMENSION(:), allocatable :: deltaz_ss, rad_ss
+    REAL, DIMENSION(:), ALLOCATABLE :: deltaz_ss, rad_ss
 
     CHARACTER (len = 50) :: modname = 'simu_airs.cloud_structure'
@@ -130,5 +130,5 @@
 
     do i = 2, size(rneb_cs)
-      if (rneb_ord(i) > rneb_min) THEN
+      IF (rneb_ord(i) > rneb_min) THEN
         nss = nss + 1
         rneb_min = rneb_ord(i)
@@ -162,5 +162,5 @@
 
     do i = 2, size(rneb_cs)
-      if (rneb_ord(i) > rneb_min) THEN
+      IF (rneb_ord(i) > rneb_min) THEN
         n = n + 1
         s(n) = rneb_ord(i) - rneb_min
@@ -298,5 +298,5 @@
     ! Tests
 
-    if (cc_tot_cs > maxval(rneb_cs) .and. &
+    IF (cc_tot_cs > maxval(rneb_cs) .AND. &
             abs(cc_tot_cs - maxval(rneb_cs)) > 1.e-4)  THEN
       WRITE(abort_message, *) 'cc_tot_cs > max rneb_cs', cc_tot_cs, maxval(rneb_cs)
@@ -304,5 +304,5 @@
     endif
 
-    if (iwp_hc_cs < 0.) THEN
+    IF (iwp_hc_cs < 0.) THEN
       abort_message = 'cloud_structure: iwp_hc_cs < 0'
       CALL abort_physic(modname, abort_message, 1)
@@ -314,8 +314,8 @@
   SUBROUTINE normal_undef(num, den)
 
-    REAL, intent(in) :: den
-    REAL, intent(inout) :: num
-
-    if (den /= 0) THEN
+    REAL, INTENT(IN) :: den
+    REAL, INTENT(INOUT) :: num
+
+    IF (den /= 0) THEN
       num = num / den
     else
@@ -328,9 +328,9 @@
   SUBROUTINE normal2_undef(res, num, den)
 
-    REAL, intent(in) :: den
-    REAL, intent(in) :: num
-    REAL, intent(out) :: res
-
-    if (den /= 0.) THEN
+    REAL, INTENT(IN) :: den
+    REAL, INTENT(IN) :: num
+    REAL, INTENT(OUT) :: res
+
+    IF (den /= 0.) THEN
       res = num / den
     else
@@ -348,15 +348,15 @@
           emis, pcld, tcld, iwp, deltaz, rad)
 
-    INTEGER, intent(in) :: len_cs
-    REAL, DIMENSION(len_cs), intent(in) :: rneb_cs, temp_cs
-    REAL, DIMENSION(len_cs), intent(in) :: emis_cs, iwco_cs, &
+    INTEGER, INTENT(IN) :: len_cs
+    REAL, DIMENSION(len_cs), INTENT(IN) :: rneb_cs, temp_cs
+    REAL, DIMENSION(len_cs), INTENT(IN) :: emis_cs, iwco_cs, &
             rneb_ord
-    REAL, DIMENSION(len_cs), intent(in) :: pres_cs, dz_cs, rad_cs
-    REAL, DIMENSION(len_cs), intent(in) :: rhodz_cs
+    REAL, DIMENSION(len_cs), INTENT(IN) :: pres_cs, dz_cs, rad_cs
+    REAL, DIMENSION(len_cs), INTENT(IN) :: rhodz_cs
     REAL, DIMENSION(len_cs) :: tau_cs, w
-    REAL, intent(in) :: rnebmax
-    REAL, intent(inout) :: stot, shc, shist
-    REAL, intent(inout) :: sCb, sThCi, sAnv
-    REAL, intent(out) :: emis, pcld, tcld, iwp, deltaz, rad
+    REAL, INTENT(IN) :: rnebmax
+    REAL, INTENT(INOUT) :: stot, shc, shist
+    REAL, INTENT(INOUT) :: sCb, sThCi, sAnv
+    REAL, INTENT(OUT) :: emis, pcld, tcld, iwp, deltaz, rad
 
     INTEGER :: i, ideb, ibeg, iend, nuage, visible
@@ -370,5 +370,5 @@
 
     do i = 1, len_cs
-      if (rneb_cs(i) >= rnebmax) THEN
+      IF (rneb_cs(i) >= rnebmax) THEN
         w(i) = 1.
       else
@@ -381,5 +381,5 @@
     som = 0.
     do i = 1, len_cs
-      if (emis_cs(i) == 1.) THEN
+      IF (emis_cs(i) == 1.) THEN
         tau_cs(i) = 10.
       else
@@ -395,5 +395,5 @@
 
     ! Boucle sur les nuages
-    do while (ideb /= 0 .and. ideb <= len_cs)
+    do while (ideb /= 0 .AND. ideb <= len_cs)
 
 
@@ -403,5 +403,5 @@
       ideb = iend + 1
 
-      if (ibeg > 0) THEN
+      IF (ibeg > 0) THEN
         nuage = nuage + 1
 
@@ -427,5 +427,5 @@
     CALL topbot(1, w, ibeg, iend)
 
-    if (ibeg > 0) THEN
+    IF (ibeg > 0) THEN
       CALL caract(ibeg, iend, temp_cs, tau_cs, iwco_cs, &
               pres_cs, dz_cs, rhodz_cs, rad_cs, pcld, tcld, &
@@ -438,5 +438,5 @@
       rad = som_rad
 
-      if (pcld > p_thresh) THEN
+      IF (pcld > p_thresh) THEN
         shc = 0.
         shist = 0.
@@ -447,18 +447,18 @@
       else
 
-        if (emis < em_min .or. emis > em_max  &
-                .or. tcld > 230.) THEN
+        IF (emis < em_min .OR. emis > em_max  &
+                .OR. tcld > 230.) THEN
           shist = 0.
         endif
 
-        if (emis < 0.98) THEN
+        IF (emis < 0.98) THEN
           sCb = 0.
         endif
 
-        if (emis > 0.5 .or. emis < 0.1) THEN
+        IF (emis > 0.5 .OR. emis < 0.1) THEN
           sThCi = 0.
         endif
 
-        if (emis <= 0.5 .or. emis >= 0.98) THEN
+        IF (emis <= 0.5 .OR. emis >= 0.98) THEN
           sAnv = 0.
         endif
@@ -487,15 +487,15 @@
     ! Tests
 
-    if (iwp < 0.) THEN
+    IF (iwp < 0.) THEN
       WRITE(abort_message, *) 'ideb iwp =', ideb, iwp
       CALL abort_physic(modname, abort_message, 1)
     endif
 
-    if (deltaz < 0.) THEN
+    IF (deltaz < 0.) THEN
       WRITE(abort_message, *)'ideb deltaz =', ideb, deltaz
       CALL abort_physic(modname, abort_message, 1)
     endif
 
-    if (emis < 0.048 .and. emis /= 0.) THEN
+    IF (emis < 0.048 .AND. emis /= 0.) THEN
       WRITE(abort_message, *) 'ideb emis =', ideb, emis
       CALL abort_physic(modname, abort_message, 1)
@@ -508,9 +508,9 @@
           visible, w)
 
-    INTEGER, intent(in) :: ibeg, iend
-    REAL, intent(in) :: som_tau
-
-    INTEGER, intent(inout) :: visible
-    REAL, DIMENSION(:), intent(inout) :: w
+    INTEGER, INTENT(IN) :: ibeg, iend
+    REAL, INTENT(IN) :: som_tau
+
+    INTEGER, INTENT(INOUT) :: visible
+    REAL, DIMENSION(:), INTENT(INOUT) :: w
 
     INTEGER :: i
@@ -522,6 +522,6 @@
     ! Cas ou il n'y a pas de nuage visible au-dessus
 
-    if (visible == 0) THEN
-      if (som_tau < tau_thresh) THEN
+    IF (visible == 0) THEN
+      IF (som_tau < tau_thresh) THEN
         do i = ibeg, iend
           w(i) = 0.
@@ -548,10 +548,10 @@
           som_tau, som_iwc, som_dz, som_rad)
 
-    INTEGER, intent(in) :: ibeg, iend
-    REAL, DIMENSION(:), intent(in) :: tau_cs, iwco_cs, temp_cs
-    REAL, DIMENSION(:), intent(in) :: pres_cs, dz_cs, rad_cs
-    REAL, DIMENSION(:), intent(in) :: rhodz_cs
-    REAL, intent(out) :: som_tau, som_iwc, som_dz, som_rad
-    REAL, intent(out) :: pcld, tcld
+    INTEGER, INTENT(IN) :: ibeg, iend
+    REAL, DIMENSION(:), INTENT(IN) :: tau_cs, iwco_cs, temp_cs
+    REAL, DIMENSION(:), INTENT(IN) :: pres_cs, dz_cs, rad_cs
+    REAL, DIMENSION(:), INTENT(IN) :: rhodz_cs
+    REAL, INTENT(OUT) :: som_tau, som_iwc, som_dz, som_rad
+    REAL, INTENT(OUT) :: pcld, tcld
 
     INTEGER :: i, ibase, imid
@@ -576,5 +576,5 @@
       som_rad = som_rad + rad_cs(i) * dz_cs(i)
 
-      if (som_tau > 3. .and. ibase == -100) THEN
+      IF (som_tau > 3. .AND. ibase == -100) THEN
         ibase = i - 1
       endif
@@ -582,5 +582,5 @@
     enddo
 
-    if (som_dz /= 0.) THEN
+    IF (som_dz /= 0.) THEN
       som_rad = som_rad / som_dz
     else
@@ -596,5 +596,5 @@
     ! Determination de Pcld et Tcld
 
-    if (ibase < ibeg) THEN
+    IF (ibase < ibeg) THEN
       ibase = ibeg
     endif
@@ -609,7 +609,7 @@
   SUBROUTINE topbot(ideb, w, ibeg, iend)
 
-    INTEGER, intent(in) :: ideb
-    REAL, DIMENSION(:), intent(in) :: w
-    INTEGER, intent(out) :: ibeg, iend
+    INTEGER, INTENT(IN) :: ideb
+    REAL, DIMENSION(:), INTENT(IN) :: w
+    INTEGER, INTENT(OUT) :: ibeg, iend
 
     INTEGER :: i, itest
@@ -621,5 +621,5 @@
     do i = ideb, size(w)
 
-      if (w(i) == 1. .and. itest == 0) THEN
+      IF (w(i) == 1. .AND. itest == 0) THEN
         ibeg = i
         itest = 1
@@ -629,5 +629,5 @@
 
     i = ibeg
-    do while (w(i) == 1. .and. i <= size(w))
+    do while (w(i) == 1. .AND. i <= size(w))
       i = i + 1
     enddo
@@ -638,7 +638,7 @@
   SUBROUTINE ordonne(len_cs, rneb_cs, rneb_ord)
 
-    INTEGER, intent(in) :: len_cs
-    REAL, DIMENSION(:), intent(in) :: rneb_cs
-    REAL, DIMENSION(:), intent(out) :: rneb_ord
+    INTEGER, INTENT(IN) :: len_cs
+    REAL, DIMENSION(:), INTENT(IN) :: rneb_cs
+    REAL, DIMENSION(:), INTENT(OUT) :: rneb_ord
 
     INTEGER :: i, j, ind_min
@@ -656,5 +656,5 @@
 
       do i = 1, size(rneb_cs)
-        if (rneb(i) < rneb_max) THEN
+        IF (rneb(i) < rneb_max) THEN
           rneb_max = rneb(i)
           ind_min = i
@@ -684,23 +684,23 @@
     USE dimphy
 
-    REAL, DIMENSION(klev), intent(in) :: rneb_1D, temp_1D, emis_1D, &
+    REAL, DIMENSION(klev), INTENT(IN) :: rneb_1D, temp_1D, emis_1D, &
             iwcon_1D, rad_1D
-    REAL, DIMENSION(klev), intent(in) :: pres, dz, rhodz_1D
-    REAL, intent(out) :: cc_tot_mesh, cc_hc_mesh, cc_hist_mesh
-    REAL, intent(out) :: cc_Cb_mesh, cc_ThCi_mesh, cc_Anv_mesh
-    REAL, intent(out) :: em_hc_mesh, pcld_hc_mesh, tcld_hc_mesh, &
+    REAL, DIMENSION(klev), INTENT(IN) :: pres, dz, rhodz_1D
+    REAL, INTENT(OUT) :: cc_tot_mesh, cc_hc_mesh, cc_hist_mesh
+    REAL, INTENT(OUT) :: cc_Cb_mesh, cc_ThCi_mesh, cc_Anv_mesh
+    REAL, INTENT(OUT) :: em_hc_mesh, pcld_hc_mesh, tcld_hc_mesh, &
             iwp_hc_mesh
 
-    REAL, intent(out) :: pcld_Cb_mesh, tcld_Cb_mesh, em_Cb_mesh
-    REAL, intent(out) :: pcld_ThCi_mesh, tcld_ThCi_mesh, &
+    REAL, INTENT(OUT) :: pcld_Cb_mesh, tcld_Cb_mesh, em_Cb_mesh
+    REAL, INTENT(OUT) :: pcld_ThCi_mesh, tcld_ThCi_mesh, &
             em_ThCi_mesh
-    REAL, intent(out) :: pcld_Anv_mesh, tcld_Anv_mesh, em_Anv_mesh
-
-    REAL, intent(out) :: em_hist_mesh, iwp_hist_mesh, rad_hist_mesh
-    REAL, intent(out) :: deltaz_hc_mesh, deltaz_hist_mesh
-
-    REAL, DIMENSION(:), allocatable :: rneb_cs, temp_cs, emis_cs, &
+    REAL, INTENT(OUT) :: pcld_Anv_mesh, tcld_Anv_mesh, em_Anv_mesh
+
+    REAL, INTENT(OUT) :: em_hist_mesh, iwp_hist_mesh, rad_hist_mesh
+    REAL, INTENT(OUT) :: deltaz_hc_mesh, deltaz_hist_mesh
+
+    REAL, DIMENSION(:), ALLOCATABLE :: rneb_cs, temp_cs, emis_cs, &
             iwco_cs
-    REAL, DIMENSION(:), allocatable :: pres_cs, dz_cs, rad_cs, &
+    REAL, DIMENSION(:), ALLOCATABLE :: pres_cs, dz_cs, rad_cs, &
             rhodz_cs
 
@@ -784,5 +784,5 @@
       do l = ltop, 1, -1
 
-        if (itop == 0 .and. rneb_1D(l) > 0.001) THEN
+        IF (itop == 0 .AND. rneb_1D(l) > 0.001) THEN
           itop = l
         endif
@@ -792,5 +792,5 @@
       ibot = itop
 
-      do while (rneb_1D(ibot) > 0.001 .and. ibot >= 1)
+      do while (rneb_1D(ibot) > 0.001 .AND. ibot >= 1)
         ibot = ibot - 1
       enddo
@@ -798,5 +798,5 @@
       ibot = ibot + 1
 
-      if (itop > 0) then    ! itop > 0
+      IF (itop > 0) then    ! itop > 0
 
         num_cs = num_cs + 1
@@ -925,5 +925,5 @@
     ! Determination des variables de sortie
 
-    if (N_CS > 0) then   ! if N_CS>0
+    IF (N_CS > 0) then   ! if N_CS>0
 
       cc_tot_mesh = 1. - prod
@@ -982,5 +982,5 @@
       ! Tests
 
-      if (cc_tot_mesh > tsom_tot .and. &
+      IF (cc_tot_mesh > tsom_tot .AND. &
               abs(cc_tot_mesh - tsom_tot) > 1.e-4) THEN
         WRITE(abort_message, *)'cc_tot_mesh > tsom_tot', cc_tot_mesh, tsom_tot
@@ -988,5 +988,5 @@
       endif
 
-      if (cc_tot_mesh < maxval(test_tot(1:N_CS)) .and. &
+      IF (cc_tot_mesh < maxval(test_tot(1:N_CS)) .AND. &
               abs(cc_tot_mesh - maxval(test_tot(1:N_CS))) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_tot_mesh < max', cc_tot_mesh, maxval(test_tot(1:N_CS))
@@ -994,5 +994,5 @@
       endif
 
-      if (cc_hc_mesh > tsom_hc .and. &
+      IF (cc_hc_mesh > tsom_hc .AND. &
               abs(cc_hc_mesh - tsom_hc) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hc_mesh > tsom_hc', cc_hc_mesh, tsom_hc
@@ -1000,5 +1000,5 @@
       endif
 
-      if (cc_hc_mesh < maxval(test_hc(1:N_CS)) .and. &
+      IF (cc_hc_mesh < maxval(test_hc(1:N_CS)) .AND. &
               abs(cc_hc_mesh - maxval(test_hc(1:N_CS))) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hc_mesh < max', cc_hc_mesh, maxval(test_hc(1:N_CS))
@@ -1006,5 +1006,5 @@
       endif
 
-      if (cc_hist_mesh > tsom_hist .and. &
+      IF (cc_hist_mesh > tsom_hist .AND. &
               abs(cc_hist_mesh - tsom_hist) > 1.e-4) THEN
         WRITE(abort_message, *) 'cc_hist_mesh > tsom_hist', cc_hist_mesh, tsom_hist
@@ -1012,14 +1012,14 @@
       endif
 
-      if (cc_hist_mesh < 0.) THEN
+      IF (cc_hist_mesh < 0.) THEN
         WRITE(abort_message, *) 'cc_hist_mesh < 0', cc_hist_mesh
         CALL abort_physic(modname, abort_message, 1)
       endif
 
-      if ((pcld_hc_mesh > maxval(test_pcld(1:N_CS)) .or. &
-              pcld_hc_mesh < minval(test_pcld(1:N_CS))) .and. &
-              abs(pcld_hc_mesh - maxval(test_pcld(1:N_CS))) > 1. .and. &
+      IF ((pcld_hc_mesh > maxval(test_pcld(1:N_CS)) .OR. &
+              pcld_hc_mesh < minval(test_pcld(1:N_CS))) .AND. &
+              abs(pcld_hc_mesh - maxval(test_pcld(1:N_CS))) > 1. .AND. &
               maxval(test_pcld(1:N_CS)) /= 999. &
-              .and. minval(test_pcld(1:N_CS)) /= 999.) THEN
+              .AND. minval(test_pcld(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'pcld_hc_mesh est faux', pcld_hc_mesh, maxval(test_pcld(1:N_CS)), &
                 minval(test_pcld(1:N_CS))
@@ -1027,9 +1027,9 @@
       endif
 
-      if ((tcld_hc_mesh > maxval(test_tcld(1:N_CS)) .or. &
-              tcld_hc_mesh < minval(test_tcld(1:N_CS))) .and. &
-              abs(tcld_hc_mesh - maxval(test_tcld(1:N_CS))) > 0.1 .and. &
+      IF ((tcld_hc_mesh > maxval(test_tcld(1:N_CS)) .OR. &
+              tcld_hc_mesh < minval(test_tcld(1:N_CS))) .AND. &
+              abs(tcld_hc_mesh - maxval(test_tcld(1:N_CS))) > 0.1 .AND. &
               maxval(test_tcld(1:N_CS)) /= 999. &
-              .and. minval(test_tcld(1:N_CS)) /= 999.) THEN
+              .AND. minval(test_tcld(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'tcld_hc_mesh est faux', tcld_hc_mesh, maxval(test_tcld(1:N_CS)), &
                 minval(test_tcld(1:N_CS))
@@ -1037,8 +1037,8 @@
       endif
 
-      if ((em_hc_mesh > maxval(test_em(1:N_CS)) .or. &
-              em_hc_mesh < minval(test_em(1:N_CS))) .and. &
-              abs(em_hc_mesh - maxval(test_em(1:N_CS))) > 1.e-4 .and. &
-              minval(test_em(1:N_CS)) /= 999. .and. &
+      IF ((em_hc_mesh > maxval(test_em(1:N_CS)) .OR. &
+              em_hc_mesh < minval(test_em(1:N_CS))) .AND. &
+              abs(em_hc_mesh - maxval(test_em(1:N_CS))) > 1.e-4 .AND. &
+              minval(test_em(1:N_CS)) /= 999. .AND. &
               maxval(test_em(1:N_CS)) /= 999.) THEN
         WRITE(abort_message, *) 'em_hc_mesh est faux', em_hc_mesh, maxval(test_em(1:N_CS)), &
@@ -1085,10 +1085,10 @@
   SUBROUTINE test_bornes(sx, x, bsup, binf)
 
-    REAL, intent(in) :: x, bsup, binf
-    character*14, intent(in) :: sx
+    REAL, INTENT(IN) :: x, bsup, binf
+    character*14, INTENT(IN) :: sx
     CHARACTER (len = 50) :: modname = 'simu_airs.test_bornes'
     CHARACTER (len = 160) :: abort_message
 
-    if (x > bsup .or. x < binf) THEN
+    IF (x > bsup .OR. x < binf) THEN
       WRITE(abort_message, *) sx, 'est faux', sx, x
       CALL abort_physic(modname, abort_message, 1)
@@ -1119,7 +1119,7 @@
   include "YOMCST.h"
 
-  INTEGER, intent(in) :: itap
-
-  REAL, DIMENSION(klon, klev), intent(in) :: &
+  INTEGER, INTENT(IN) :: itap
+
+  REAL, DIMENSION(klon, klev), INTENT(IN) :: &
           rneb_airs, temp_airs, cldemi_airs, iwcon0_airs, &
           rad_airs, geop_airs, pplay_airs, paprs_airs
@@ -1128,5 +1128,5 @@
           rhodz_airs, rho_airs, iwcon_airs
 
-  REAL, DIMENSION(klon), intent(out) :: alt_tropo
+  REAL, DIMENSION(klon), INTENT(OUT) :: alt_tropo
 
   REAL, DIMENSION(klev) :: rneb_1D, temp_1D, &
@@ -1145,18 +1145,18 @@
   REAL :: pcld_Anv_mesh, tcld_Anv_mesh, em_Anv_mesh
 
-  REAL, DIMENSION(klon), intent(out) :: map_prop_hc, map_prop_hist
-  REAL, DIMENSION(klon), intent(out) :: map_emis_hc, map_iwp_hc
-  REAL, DIMENSION(klon), intent(out) :: map_deltaz_hc, map_pcld_hc
-  REAL, DIMENSION(klon), intent(out) :: map_tcld_hc
-  REAL, DIMENSION(klon), intent(out) :: map_emis_Cb, map_pcld_Cb, map_tcld_Cb
-  REAL, DIMENSION(klon), intent(out) :: &
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_prop_hc, map_prop_hist
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_emis_hc, map_iwp_hc
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_deltaz_hc, map_pcld_hc
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_tcld_hc
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_emis_Cb, map_pcld_Cb, map_tcld_Cb
+  REAL, DIMENSION(klon), INTENT(OUT) :: &
           map_emis_ThCi, map_pcld_ThCi, map_tcld_ThCi
-  REAL, DIMENSION(klon), intent(out) :: &
+  REAL, DIMENSION(klon), INTENT(OUT) :: &
           map_emis_Anv, map_pcld_Anv, map_tcld_Anv
-  REAL, DIMENSION(klon), intent(out) :: &
+  REAL, DIMENSION(klon), INTENT(OUT) :: &
           map_emis_hist, map_iwp_hist, map_deltaz_hist, &
           map_rad_hist
-  REAL, DIMENSION(klon), intent(out) :: map_ntot, map_hc, map_hist
-  REAL, DIMENSION(klon), intent(out) :: map_Cb, map_ThCi, map_Anv
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_ntot, map_hc, map_hist
+  REAL, DIMENSION(klon), INTENT(OUT) :: map_Cb, map_ThCi, map_Anv
 
   WRITE(*, *) 'simu_airs'
@@ -1180,5 +1180,5 @@
               pplay_airs(i, j) / (temp_airs(i, j) * RD)
 
-      if (rneb_airs(i, j) > 0.001) THEN
+      IF (rneb_airs(i, j) > 0.001) THEN
         iwcon_airs(i, j) = iwcon0_airs(i, j) / rneb_airs(i, j)
       else
@@ -1215,5 +1215,5 @@
     ! Appel du ss-programme sim_mesh
 
-    !        if (itap .eq. 1 ) THEN
+    !        if (itap .EQ. 1 ) THEN
     CALL sim_mesh(rneb_1D, temp_1D, emis_1D, iwcon_1D, rad_1D, &
             pres_1D, dz_1D, rhodz_1D, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/slab_heat_transp_mod.F90	(revision 5117)
@@ -110,5 +110,5 @@
 
     ! Sanity check on dimensions
-    if ((ip1jm/=((nbp_lon + 1) * (nbp_lat - 1))).or. &
+    IF ((ip1jm/=((nbp_lon + 1) * (nbp_lat - 1))).OR. &
             (ip1jmp1/=((nbp_lon + 1) * nbp_lat))) THEN
       abort_message = "ini_slab_transp_geom Error: wrong array sizes"
@@ -474,5 +474,5 @@
     IMPLICIT NONE
 
-    LOGICAL, INTENT(in) :: slab_gm
+    LOGICAL, INTENT(IN) :: slab_gm
     ! Here, temperature and flux variables are on 2 layers
     INTEGER ij
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5117)
@@ -58,13 +58,13 @@
 ! ustar--output-R- u*
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli
-      REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, z1, ts1
-      REAL, dimension(klon), intent(in) :: qsurf
-      REAL, dimension(klon), intent(inout) :: z0m, z0h
-      REAL, dimension(klon), intent(in) :: psol, pat1
-
-      REAL, dimension(klon), intent(out) :: t_2m, q_2m, ustar
-      REAL, dimension(klon), intent(out) :: u_10m, t_10m, q_10m
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      LOGICAL, INTENT(IN) :: zxli
+      REAL, DIMENSION(klon), INTENT(IN) :: u1, v1, t1, q1, z1, ts1
+      REAL, DIMENSION(klon), INTENT(IN) :: qsurf
+      REAL, DIMENSION(klon), INTENT(INOUT) :: z0m, z0h
+      REAL, DIMENSION(klon), INTENT(IN) :: psol, pat1
+
+      REAL, DIMENSION(klon), INTENT(OUT) :: t_2m, q_2m, ustar
+      REAL, DIMENSION(klon), INTENT(OUT) :: u_10m, t_10m, q_10m
       REAL, DIMENSION(klon), INTENT(INOUT) :: s_pblh
       REAL, DIMENSION(klon), INTENT(IN) :: prain
@@ -87,26 +87,26 @@
       INTEGER :: i, n
       REAL :: zref
-      REAL, dimension(klon) :: speed
+      REAL, DIMENSION(klon) :: speed
 ! tpot : temperature potentielle
-      REAL, dimension(klon) :: tpot
-      REAL, dimension(klon) :: zri1, cdran
-      REAL, dimension(klon) :: cdram, cdrah
+      REAL, DIMENSION(klon) :: tpot
+      REAL, DIMENSION(klon) :: zri1, cdran
+      REAL, DIMENSION(klon) :: cdram, cdrah
 ! ri1 : nb. de Richardson entre la surface --> la 1ere couche
-      REAL, dimension(klon) :: ri1 
-      REAL, dimension(klon) :: testar, qstar
-      REAL, dimension(klon) :: zdte, zdq   
+      REAL, DIMENSION(klon) :: ri1
+      REAL, DIMENSION(klon) :: testar, qstar
+      REAL, DIMENSION(klon) :: zdte, zdq
 ! lmon : longueur de Monin-Obukhov selon Hess, Colman and McAvaney 
-      DOUBLE PRECISION, dimension(klon) :: lmon
+      DOUBLE PRECISION, DIMENSION(klon) :: lmon
       DOUBLE PRECISION, parameter :: eps=1.0D-20
-      REAL, dimension(klon) :: delu, delte, delq
-      REAL, dimension(klon) :: u_zref, te_zref, q_zref  
-      REAL, dimension(klon) :: temp, pref
+      REAL, DIMENSION(klon) :: delu, delte, delq
+      REAL, DIMENSION(klon) :: u_zref, te_zref, q_zref
+      REAL, DIMENSION(klon) :: temp, pref
       LOGICAL :: okri
-      REAL, dimension(klon) :: u_zref_p, te_zref_p, temp_p, q_zref_p
+      REAL, DIMENSION(klon) :: u_zref_p, te_zref_p, temp_p, q_zref_p
 !convertgence
-      REAL, dimension(klon) :: te_zref_con, q_zref_con
-      REAL, dimension(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
-      REAL, dimension(klon) :: ok_pred, ok_corr, zri_zero
-!     REAL, dimension(klon) :: conv_te, conv_q
+      REAL, DIMENSION(klon) :: te_zref_con, q_zref_con
+      REAL, DIMENSION(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
+      REAL, DIMENSION(klon) :: ok_pred, ok_corr, zri_zero
+!     REAL, DIMENSION(klon) :: conv_te, conv_q
 !------------------------------------------------------------------------- 
       DO i=1, knon
@@ -359,21 +359,21 @@
 ! q_10m--output-R- humidite specifique a 10m
 
-      INTEGER, intent(in) :: klon, knon, nsrf
-      LOGICAL, intent(in) :: zxli
-      REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, ts1, z1
-      REAL, dimension(klon), intent(inout) :: z0m, z0h
-      REAL, dimension(klon), intent(in) :: qsurf
-      REAL, dimension(klon), intent(in) :: psol, pat1
-
-      REAL, dimension(klon), intent(out) :: t_2m, q_2m, ustar
-      REAL, dimension(klon), intent(out) :: u_10m, t_10m, q_10m
-      INTEGER, dimension(klon, 6), intent(out) :: n2mout
-
-      REAL, dimension(klon) :: u_2m
-      REAL, dimension(klon) :: cdrm2m, cdrh2m, ri2m
-      REAL, dimension(klon) :: cdram, cdrah, zri1
-      REAL, dimension(klon) :: cdmn1, cdhn1, fm1, fh1
-      REAL, dimension(klon) :: cdmn2m, cdhn2m, fm2m, fh2m
-      REAL, dimension(klon) :: ri2m_new
+      INTEGER, INTENT(IN) :: klon, knon, nsrf
+      LOGICAL, INTENT(IN) :: zxli
+      REAL, DIMENSION(klon), INTENT(IN) :: u1, v1, t1, q1, ts1, z1
+      REAL, DIMENSION(klon), INTENT(INOUT) :: z0m, z0h
+      REAL, DIMENSION(klon), INTENT(IN) :: qsurf
+      REAL, DIMENSION(klon), INTENT(IN) :: psol, pat1
+
+      REAL, DIMENSION(klon), INTENT(OUT) :: t_2m, q_2m, ustar
+      REAL, DIMENSION(klon), INTENT(OUT) :: u_10m, t_10m, q_10m
+      INTEGER, DIMENSION(klon, 6), INTENT(OUT) :: n2mout
+
+      REAL, DIMENSION(klon) :: u_2m
+      REAL, DIMENSION(klon) :: cdrm2m, cdrh2m, ri2m
+      REAL, DIMENSION(klon) :: cdram, cdrah, zri1
+      REAL, DIMENSION(klon) :: cdmn1, cdhn1, fm1, fh1
+      REAL, DIMENSION(klon) :: cdmn2m, cdhn2m, fm2m, fh2m
+      REAL, DIMENSION(klon) :: ri2m_new
       REAL, DIMENSION(klon) :: s_pblh
       REAL, DIMENSION(klon) :: prain
@@ -398,38 +398,38 @@
       INTEGER :: i, n
       REAL :: zref
-      REAL, dimension(klon) :: speed
+      REAL, DIMENSION(klon) :: speed
 ! tpot : temperature potentielle
-      REAL, dimension(klon) :: tpot
-      REAL, dimension(klon) :: cdran
+      REAL, DIMENSION(klon) :: tpot
+      REAL, DIMENSION(klon) :: cdran
 ! ri1 : nb. de Richardson entre la surface --> la 1ere couche
-      REAL, dimension(klon) :: ri1 
+      REAL, DIMENSION(klon) :: ri1
       DOUBLE PRECISION, parameter :: eps=1.0D-20
-      REAL, dimension(klon) :: delu, delte, delq
-      REAL, dimension(klon) :: delh, delm
-      REAL, dimension(klon) :: delh_new, delm_new
-      REAL, dimension(klon) :: u_zref, te_zref, q_zref  
-      REAL, dimension(klon) :: u_zref_pnew, te_zref_pnew, q_zref_pnew
-      REAL, dimension(klon) :: temp, pref
-      REAL, dimension(klon) :: temp_new, pref_new
+      REAL, DIMENSION(klon) :: delu, delte, delq
+      REAL, DIMENSION(klon) :: delh, delm
+      REAL, DIMENSION(klon) :: delh_new, delm_new
+      REAL, DIMENSION(klon) :: u_zref, te_zref, q_zref
+      REAL, DIMENSION(klon) :: u_zref_pnew, te_zref_pnew, q_zref_pnew
+      REAL, DIMENSION(klon) :: temp, pref
+      REAL, DIMENSION(klon) :: temp_new, pref_new
       LOGICAL :: okri
-      REAL, dimension(klon) :: u_zref_p, te_zref_p, temp_p, q_zref_p
-      REAL, dimension(klon) :: u_zref_p_new, te_zref_p_new, temp_p_new, q_zref_p_new
+      REAL, DIMENSION(klon) :: u_zref_p, te_zref_p, temp_p, q_zref_p
+      REAL, DIMENSION(klon) :: u_zref_p_new, te_zref_p_new, temp_p_new, q_zref_p_new
 !convergence
-      REAL, dimension(klon) :: te_zref_con, q_zref_con
-      REAL, dimension(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
-      REAL, dimension(klon) :: ok_pred, ok_corr
-
-      REAL, dimension(klon) :: cdrm10m, cdrh10m, ri10m
-      REAL, dimension(klon) :: cdmn10m, cdhn10m, fm10m, fh10m
-      REAL, dimension(klon) :: cdn2m, cdn1, zri_zero
+      REAL, DIMENSION(klon) :: te_zref_con, q_zref_con
+      REAL, DIMENSION(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
+      REAL, DIMENSION(klon) :: ok_pred, ok_corr
+
+      REAL, DIMENSION(klon) :: cdrm10m, cdrh10m, ri10m
+      REAL, DIMENSION(klon) :: cdmn10m, cdhn10m, fm10m, fh10m
+      REAL, DIMENSION(klon) :: cdn2m, cdn1, zri_zero
       REAL :: CEPDUE,zdu2 
       INTEGER :: nzref, nz1
-      LOGICAL, dimension(klon) :: ok_t2m_toosmall, ok_t2m_toobig
-      LOGICAL, dimension(klon) :: ok_q2m_toosmall, ok_q2m_toobig
-      LOGICAL, dimension(klon) :: ok_u2m_toobig
-      LOGICAL, dimension(klon) :: ok_t10m_toosmall, ok_t10m_toobig
-      LOGICAL, dimension(klon) :: ok_q10m_toosmall, ok_q10m_toobig
-      LOGICAL, dimension(klon) :: ok_u10m_toobig
-      INTEGER, dimension(klon, 6) :: n10mout
+      LOGICAL, DIMENSION(klon) :: ok_t2m_toosmall, ok_t2m_toobig
+      LOGICAL, DIMENSION(klon) :: ok_q2m_toosmall, ok_q2m_toobig
+      LOGICAL, DIMENSION(klon) :: ok_u2m_toobig
+      LOGICAL, DIMENSION(klon) :: ok_t10m_toosmall, ok_t10m_toobig
+      LOGICAL, DIMENSION(klon) :: ok_q10m_toosmall, ok_q10m_toobig
+      LOGICAL, DIMENSION(klon) :: ok_u10m_toobig
+      INTEGER, DIMENSION(klon, 6) :: n10mout
 
 !------------------------------------------------------------------------- 
